Bio::SeqIO::gbxml(3pm)

NAME
Bio::SeqIO::gbxml - GenBank sequence input/output stream using SAX

SYNOPSIS
It is probably best not to use this object directly, but rather go through the SeqIO handler system. To read a GenBank XML file:

   $stream = Bio::SeqIO->new( -file => $filename, -format => 'gbxml');

   while ( my $bioSeqObj = $stream->next_seq() ) {
        # do something with $bioSeqObj
   }

To write a Seq object to the current file handle in GenBank XML format:

   $stream->write_seq( -seq => $seqObj);

If instead you would like a XML::DOM object containing the GBXML, use:

   my $newXmlObject = $stream->to_bsml( -seq => $seqObj);

DEPENDENCIES
In addition to parts of the Bio:: hierarchy, this module uses:

XML::SAX

DESCRIPTION
This object can transform Bio::Seq objects to and from GenBank XML flatfiles.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

 bioperl-l@bioperl.org                  - General discussion
 http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

 https://github.com/bioperl/bioperl-live/issues

AUTHOR - Ryan Golhar
Email golharam-at-umdnj-dot-edu

METHODS

  next_seq
Title : next_seq Usage : my $bioSeqObj = $stream->next_seq Function: Retrieves the next sequence from a SeqIO::gbxml stream. Returns : A reference to a Bio::Seq::RichSeq object Args :